Get Category Attributes
curl --request GET \
--url https://scx-sbx.api.jtl-software.com/v1/channel/attribute/category/{categoryId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/attribute/category/{categoryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/attribute/category/{categoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attributeListVersion": "2019060115430",
"attributeList": [
{
"attributeId": "12323",
"displayName": "Brand",
"isMultipleAllowed": false,
"type": "text",
"values": [
{
"value": "Beer"
},
{
"value": "Tee",
"display": "Wine"
}
],
"attributeValueValidation": "/^[0-9]{13}$/",
"conditionalMandatoryBy": [
{
"attributeId": "12323",
"attributeValues": [
"High"
]
}
],
"conditionalOptionalBy": [
{
"attributeId": "12323",
"attributeValues": [
"No Frame"
]
}
],
"required": true,
"recommended": false,
"section": "Colors and Appearance",
"sectionPosition": 0,
"isRepeatableSubSection": true,
"subSection": "Length",
"subSectionPosition": 0,
"description": null,
"isVariationDimension": true,
"enumValues": [
"Blue"
]
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Attributes
Get Category Attributes
Get Attributes which are required for listings in specific category.
GET
/
v1
/
channel
/
attribute
/
category
/
{categoryId}
Get Category Attributes
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Path Parameters
ID of the channel category whose attributes should be returned. Channel category Id
Required string length:
1 - 512Example:
"Beer4711"
Was this page helpful?
⌘I